scala.tools.nsc.transform.patmat.Logic.PropositionalLogic.AnalysisBudget

# Exception

#### abstract class Exception extends RuntimeException

Source
  Logic.scala

Linear Supertypes
java.lang.RuntimeException, java.lang.Exception, java.lang.Throwable, java.io.Serializable, AnyRef, Any
Known Subclasses
exceeded
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Exception
2. RuntimeException
3. Exception
4. Throwable
5. Serializable
6. AnyRef
7. Any

Implicitly

1. by RichException
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Exception(advice: String)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Exception to any2stringadd[Exception] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Exception, B)

   Implicit information
     This member is added by an implicit conversion from Exception to ArrowAssoc[Exception] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val advice: String

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

9. #### def ensuring(cond: (Exception) ⇒ Boolean, msg: ⇒ Any): Exception

   Implicit information
     This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: (Exception) ⇒ Boolean): Exception

    Implicit information
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean, msg: ⇒ Any): Exception

    Implicit information
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: Boolean): Exception

    Implicit information
      This member is added by an implicit conversion from Exception to Ensuring[Exception] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### def fillInStackTrace(): java.lang.Throwable

    Definition Classes
      Throwable

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Exception to StringFormat[Exception] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

18. #### def getCause(): java.lang.Throwable

    Definition Classes
      Throwable

19. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

20. #### def getLocalizedMessage(): String

    Definition Classes
      Throwable

21. #### def getMessage(): String

    Definition Classes
      Throwable

22. #### def getStackTrace(): Array[StackTraceElement]

    Definition Classes
      Throwable

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### def initCause(arg0: java.lang.Throwable): java.lang.Throwable

    Definition Classes
      Throwable

25. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

26. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

27. #### final def notify(): Unit

    Definition Classes
      AnyRef

28. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

29. #### def printStackTrace(arg0: PrintWriter): Unit

    Definition Classes
      Throwable

30. #### def printStackTrace(arg0: PrintStream): Unit

    Definition Classes
      Throwable

31. #### def printStackTrace(): Unit

    Definition Classes
      Throwable

32. #### def setStackTrace(arg0: Array[StackTraceElement]): Unit

    Definition Classes
      Throwable

33. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

34. #### def toString(): String

    Definition Classes
      Throwable → AnyRef → Any

35. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

36. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### def →[B](y: B): (Exception, B)

    Implicit information
      This member is added by an implicit conversion from Exception to ArrowAssoc[Exception] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Deprecated Value Members

1. #### def getStackTraceString: String

   Implicit information
     This member is added by an implicit conversion from Exception to RichException performed by method RichException in scala.Predef.
   Definition Classes
     RichException
   Annotations
     @deprecated
   Deprecated

     (Since version 2.11.0) Use Throwable#getStackTrace

### Inherited from java.lang.RuntimeException

### Inherited from java.lang.Exception

### Inherited from java.lang.Throwable

### Inherited from java.io.Serializable

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion RichException from Exception to RichException

### Inherited by implicit conversion any2stringadd from Exception to any2stringadd[Exception]

### Inherited by implicit conversion StringFormat from Exception to StringFormat[Exception]

### Inherited by implicit conversion Ensuring from Exception to Ensuring[Exception]

### Inherited by implicit conversion ArrowAssoc from Exception to ArrowAssoc[Exception]

### Ungrouped